Package org.codehaus.groovy.runtime.metaclass

# Class MissingPropertyExceptionNoStack

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingPropertyException
org.codehaus.groovy.runtime.metaclass.MissingPropertyExceptionNoStack

All Implemented Interfaces:
  `Serializable`

public class MissingPropertyExceptionNoStack extends MissingPropertyException
A `MissingPropertyException` that does not populate the stack trace. This exception is optimized for performance when the stack trace is not needed, as stack trace generation can be expensive.

This exception is for internal use only.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class groovy.lang.MissingPropertyException

  `MPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingPropertyExceptionNoStack(String propertyName, Class theClass)`
  Constructs a new MissingPropertyExceptionNoStack.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `fillInStackTrace()`
  Overrides the default stack trace filling to optimize performance.

  ### Methods inherited from class groovy.lang.MissingPropertyException

  `getMessageWithoutLocationText, getProperty, getType`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingPropertyExceptionNoStack

    public MissingPropertyExceptionNoStack(String propertyName, Class theClass)
    Constructs a new MissingPropertyExceptionNoStack.
    Parameters:
      `propertyName` - the name of the missing property
      `theClass` - the class where the property was not found

- ## Method Details

  - ### fillInStackTrace

    public Throwable fillInStackTrace()
    Overrides the default stack trace filling to optimize performance. Returns this exception without populating the stack trace.
    Overrides:
      `fillInStackTrace` in class `Throwable`
    Returns:
      this exception unchanged